diff --git a/pki/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java b/pki/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
index 0e47084e711666f7c2db83b66ed06b26ecb580c4..f9453f5a0ca2e6ebe09261869f1c75184d815f59 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/common/DirEnroll.java
@@ -23,6 +23,7 @@ import java.io.BufferedReader;
 import java.io.InputStreamReader;
 import java.io.OutputStream;
 import java.io.PrintStream;
+import java.io.UnsupportedEncodingException;
 import java.net.URLEncoder;
 import java.util.Date;
 import java.util.GregorianCalendar;
@@ -37,16 +38,10 @@ import org.mozilla.jss.ssl.SSLSocket;
 
 public class DirEnroll extends TestClient {
 
-    private int i;
     private String Authenticator = "UserDir";
     private int port;
-    private long elapsedTime;
-
     private String importcert = "false";
-    private boolean impStatus = false;
-
-    // Constructors
-
+    
     /**
      * Constructor . Takes the parameter for Properties file name
      * <p>
@@ -123,7 +118,7 @@ public class DirEnroll extends TestClient {
         Authenticator = s;
     }
 
-    public boolean enroll_load() {
+    public boolean enroll_load() throws UnsupportedEncodingException {
         buildquery();
         return (Send());
     }
@@ -243,7 +238,6 @@ public class DirEnroll extends TestClient {
     }
 
     private void setElapsedTime(long dif) {
-        elapsedTime = dif;
     }
 
     private long calculateElapsedTime(GregorianCalendar b, GregorianCalendar e) {
@@ -323,10 +317,8 @@ public class DirEnroll extends TestClient {
                         String tmp = baseCert.substring(0, baseCert.length() - 2);
 
                         if (importCert(tmp)) {
-                            impStatus = true;
                         }
                     } else {
-                        impStatus = true;
                     }
                 }
 
@@ -356,7 +348,7 @@ public class DirEnroll extends TestClient {
 
     }
 
-    private void buildquery() {
+    private void buildquery() throws UnsupportedEncodingException {
 
         StringBuffer queryStrBuf = new StringBuffer();
 
@@ -374,9 +366,9 @@ public class DirEnroll extends TestClient {
             queryStrBuf.append("&authenticator=UserDirEnrollment");
             queryStrBuf.append("&requestFormat=keygen");
             queryStrBuf.append("&uid=");
-            queryStrBuf.append(URLEncoder.encode(UID));
+            queryStrBuf.append(URLEncoder.encode(UID, "UTF-8"));
             queryStrBuf.append("&pwd=");
-            queryStrBuf.append(URLEncoder.encode(PWD));
+            queryStrBuf.append(URLEncoder.encode(PWD, "UTF-8"));
             queryStrBuf.append("&email=true");
             queryStrBuf.append("&cryptprovider=1");
 
@@ -386,9 +378,9 @@ public class DirEnroll extends TestClient {
             queryStrBuf.append("&authenticator=PortalEnrollment");
             queryStrBuf.append("&requestFormat=keygen");
             queryStrBuf.append("&uid=");
-            queryStrBuf.append(URLEncoder.encode(UID));
+            queryStrBuf.append(URLEncoder.encode(UID, "UTF-8"));
             queryStrBuf.append("&userPassword=");
-            queryStrBuf.append(URLEncoder.encode(PWD));
+            queryStrBuf.append(URLEncoder.encode(PWD, "UTF-8"));
             GN = "test";
             SN = "test";
             CN = "test";
@@ -397,21 +389,21 @@ public class DirEnroll extends TestClient {
             O = "aol";
             L = "MV";
             queryStrBuf.append("&givenname=");
-            queryStrBuf.append(URLEncoder.encode(GN));
+            queryStrBuf.append(URLEncoder.encode(GN, "UTF-8"));
 
             queryStrBuf.append("&sn=");
-            queryStrBuf.append(URLEncoder.encode(SN));
+            queryStrBuf.append(URLEncoder.encode(SN, "UTF-8"));
             queryStrBuf.append("&cn=");
-            queryStrBuf.append(URLEncoder.encode(CN));
+            queryStrBuf.append(URLEncoder.encode(CN, "UTF-8"));
 
             queryStrBuf.append("&mail=");
-            queryStrBuf.append(URLEncoder.encode(MAIL));
+            queryStrBuf.append(URLEncoder.encode(MAIL, "UTF-8"));
             queryStrBuf.append("&ou=");
-            queryStrBuf.append(URLEncoder.encode(OU));
+            queryStrBuf.append(URLEncoder.encode(OU, "UTF-8"));
             queryStrBuf.append("&o=");
-            queryStrBuf.append(URLEncoder.encode(O));
+            queryStrBuf.append(URLEncoder.encode(O, "UTF-8"));
             queryStrBuf.append("&l=");
-            queryStrBuf.append(URLEncoder.encode(L));
+            queryStrBuf.append(URLEncoder.encode(L, "UTF-8"));
 
             queryStrBuf.append("&email=true");
 
@@ -421,15 +413,15 @@ public class DirEnroll extends TestClient {
             queryStrBuf.append("&authenticator=NISAuth");
             queryStrBuf.append("&requestFormat=keygen");
             queryStrBuf.append("&uid=");
-            queryStrBuf.append(URLEncoder.encode(UID));
+            queryStrBuf.append(URLEncoder.encode(UID, "UTF-8"));
             queryStrBuf.append("&pwd=");
-            queryStrBuf.append(URLEncoder.encode(PWD));
+            queryStrBuf.append(URLEncoder.encode(PWD, "UTF-8"));
             queryStrBuf.append("&email=true");
 
         }
 
         queryStrBuf.append("&pkcs10Request=");
-        queryStrBuf.append(URLEncoder.encode(pkcs10request));
+        queryStrBuf.append(URLEncoder.encode(pkcs10request, "UTF-8"));
         query = queryStrBuf.toString();
 
         System.out.println(query);
-- 
1.7.6.4

